Last Comment Bug 649825 - refactor DeviceManager to allow multiple underlying implementations
: refactor DeviceManager to allow multiple underlying implementations
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks: 650205
  Show dependency treegraph
 
Reported: 2011-04-13 15:18 PDT by Brad Lassey [:blassey] (use needinfo?)
Modified: 2011-05-12 12:28 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP patch (67.80 KB, patch)
2011-04-14 08:19 PDT, Brad Lassey [:blassey] (use needinfo?)
no flags Details | Diff | Splinter Review
patch (46.24 KB, patch)
2011-05-06 15:17 PDT, Brad Lassey [:blassey] (use needinfo?)
cmtalbert: review+
Details | Diff | Splinter Review

Description Brad Lassey [:blassey] (use needinfo?) 2011-04-13 15:18:15 PDT

    
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-04-14 08:19:41 PDT
Created attachment 526005 [details] [diff] [review]
WIP patch
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2011-05-06 15:17:40 PDT
Created attachment 530753 [details] [diff] [review]
patch

this changes how you initialize the devicemanager, but does not change runtestsremote.py to do it right (the patch in bug 650205 does that). So if these land separately there will have to be additional changes to make things work.
Comment 3 Joel Maher ( :jmaher) 2011-05-09 07:44:10 PDT
this patch applied directly to a m-c tree has 7/8 hunks failed to apply.
Comment 4 Joel Maher ( :jmaher) 2011-05-09 08:11:57 PDT
oops, I downloaded and applied the wrong patch, the latest patch works just fine
Comment 5 Joel Maher ( :jmaher) 2011-05-09 12:54:47 PDT
I ran this with the patch from bug 650205 and I passed all my devicemanager unit tests (using SUT agent) as well as a handful of reftest and mochitest runs.  

In looking at this patch I don't see anything that throws up red flags.
Comment 6 cmtalbert 2011-05-11 10:42:22 PDT
Comment on attachment 530753 [details] [diff] [review]
patch

This looks great. Thanks Blassey.  I like the way you created pure virutal methods in the DeviceManager class.

r+

Joel, I can get the patch together to push this to remotetesting/ and droidfarm/.  Do you want to do the talos one?
Comment 7 Joel Maher ( :jmaher) 2011-05-11 10:43:47 PDT
once this lands on m-c, I will do the talos patch.
Comment 8 Joel Maher ( :jmaher) 2011-05-12 12:28:34 PDT
http://hg.mozilla.org/mozilla-central/rev/8ad0dfefa6fa

Note You need to log in before you can comment on or make changes to this bug.